Page MenuHomeFreeBSD

Update MPI headers to version 42.
ClosedPublic

Authored by slm on Apr 25 2016, 10:09 PM.

Details

Summary

Update MPI headers to version 42.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

slm retitled this revision from to Update MPI headers to version 42..Apr 25 2016, 10:09 PM
slm updated this object.
slm edited the test plan for this revision. (Show Details)
slm added reviewers: ken, scottl, ambrisko, asomers, mav, allanjude.
slm set the repository for this revision to rS FreeBSD src repository.
slm updated this revision to Diff 15592.
asomers edited edge metadata.Apr 25 2016, 10:57 PM
asomers requested changes to this revision.
asomers added inline comments.
sys/dev/mpr/mpi/mpi2.h
651 ↗(On Diff #15592)

Exceeds 80 chars per line here and several other places.

sys/dev/mpr/mpi/mpi2_cnfg.h
1437 ↗(On Diff #15592)

Line 1436 got duped.

This revision now requires changes to proceed.Apr 25 2016, 10:57 PM
scottl added inline comments.Apr 26 2016, 1:45 AM
sys/dev/mpr/mpi/mpi2.h
651 ↗(On Diff #15592)

Since this is common platform header code, I don't think that we should be too concerned about style compliance, especially since the existing style is established and the additions do not alter it.

slm added inline comments.Apr 26 2016, 5:12 PM
sys/dev/mpr/mpi/mpi2.h
651 ↗(On Diff #15592)

I agree with Scott on this. These headers are used in all of our drivers, apps, FW, etc. I'd like to keep them as close as possible to our actual released headers that we keep internally. The FreeBSD driver headers are modified a little bit from the released versions. Some licensing stuff is added and some newer items are removed to keep them from getting out into the public too soon. Other than that, these are the actual header files. I can remove that dup'ed line however.

ken edited edge metadata.Apr 26 2016, 5:53 PM
ken accepted this revision.

I agree with Steve and Scott. The MPI headers need to be largely the same between platforms. Doing otherwise will just lead to unnecessary effort.

sys/dev/mpr/mpi/mpi2_cnfg.h
1437 ↗(On Diff #15592)

I agree, this will probably cause a compile error.

slm edited edge metadata.Apr 29 2016, 9:34 PM
slm removed rS FreeBSD src repository as the repository for this revision.
slm updated this revision to Diff 15745.

Removed duplicated define.

asomers edited edge metadata.May 2 2016, 3:02 PM
asomers accepted this revision.

I'll accept this revision even with the long lines. But they should still be fixed in Avago's source version. Some of them reach 160 characters.

This revision is now accepted and ready to land.May 2 2016, 3:02 PM
This revision was automatically updated to reflect the committed changes.